// Rotate the dropdown arrow on show (affects dropdowns and dropdown menus)
.dropdown-toggle {
  &::after {
    transition-duration: 120ms;
    transition-property: rotate;
  }
  &.show {
    &::after {
      rotate: 180deg;
    }
  }
}

// ============================================================================
// Vertical Navs
// ============================================================================

// Fix different paddings on vertical menus holding regular nav-links next to dropdown-toggles.
.nav.flex-column {
  --nest-indent: 1rem;
  .dropdown-item {
    padding: var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);
  }
  // Fix nesting
  &:not(.navbar-nav--hover) {
    .nav,
    .dropdown-menu:not(.dropdown-menu--megamenu) {
      --bs-dropdown-box-shadow: none;
      padding-left: var(--nest-indent);
    }
  }
}
